AkaiPartition Class Reference

Encapsulates one disk partition of an AKAI disk. More...

`#include <Akai.h>`

## Public Member Functions

uint | ListVolumes (std::list< AkaiDirEntry > &rVolumes)
AkaiVolume * | GetVolume (uint Index)
AkaiVolume * | GetVolume (const String &rName)
AkaiDisk * | GetParent ()
bool | IsEmpty ()
uint | GetOffset ()
uint | Acquire ()
uint | Release ()

## Protected Member Functions

void | SetOffset (uint Offset)
void | AkaiToAscii (char *buffer, int length)
int | ReadFAT (DiskImage *pDisk, AkaiPartition *pPartition, int block)
bool | ReadDirEntry (DiskImage *pDisk, AkaiPartition *pPartition, AkaiDirEntry &rEntry, int block, int pos)

## Detailed Description

Encapsulates one disk partition of an AKAI disk.

An object of this class represents exactly one disk partition of an AKAI disk media or of an AKAI disk image file. This is similar to a hard disk partition on other operating systems, just in AKAI's own custom format.

Each AKAI disk partition is further subdivided into so called "volumes".

Definition at line 661 of file Akai.h.

## Member Function Documentation

## Acquire()

uint Resource::Acquire | ( |  | ) |

inline inherited

Definition at line 183 of file Akai.h.

## AkaiToAscii()

void AkaiDiskElement::AkaiToAscii | ( | char * | buffer,
|  | int | length )

protected inherited

Definition at line 1239 of file Akai.cpp.

## GetOffset()

uint AkaiDiskElement::GetOffset | ( |  | ) |

inline inherited

Definition at line 220 of file Akai.h.

## GetParent()

AkaiDisk * AkaiPartition::GetParent | ( |  | ) |

inline

Definition at line 669 of file Akai.h.

## GetVolume() [1/2]

AkaiVolume * AkaiPartition::GetVolume | ( | const String & | rName | ) |

Definition at line 1090 of file Akai.cpp.

## GetVolume() [2/2]

AkaiVolume * AkaiPartition::GetVolume | ( | uint | Index | ) |

Definition at line 1066 of file Akai.cpp.

## IsEmpty()

bool AkaiPartition::IsEmpty | ( |  | ) |

Definition at line 1111 of file Akai.cpp.

## ListVolumes()

uint AkaiPartition::ListVolumes | ( | std::list< AkaiDirEntry > & | rVolumes | ) |

Definition at line 1030 of file Akai.cpp.

## ReadDirEntry()

bool AkaiDiskElement::ReadDirEntry | ( | DiskImage * | pDisk,
|  | AkaiPartition * | pPartition,
|  | AkaiDirEntry & | rEntry,
|  | int | block,
|  | int | pos )

protected inherited

Definition at line 1191 of file Akai.cpp.

## ReadFAT()

int AkaiDiskElement::ReadFAT | ( | DiskImage * | pDisk,
|  | AkaiPartition * | pPartition,
|  | int | block )

protected inherited

Definition at line 1182 of file Akai.cpp.

## Release()

uint Resource::Release | ( |  | ) |

inline inherited

Definition at line 187 of file Akai.h.

## SetOffset()

void AkaiDiskElement::SetOffset | ( | uint | Offset | ) |

inline protected inherited

Definition at line 226 of file Akai.h.

The documentation for this class was generated from the following files:

- Akai.h
- Akai.cpp